%define modname gavl

%define libgavl_major   1
%define libgavl_name    %mklibname gavl %libgavl_major
%define libgavl_devel   %mklibname gavl -d

Summary:        OCaml interface to gavl
Name:           ocaml-%{modname}
Version:        0.1.5
Release:        %mkrel 6
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  %libgavl_devel
Requires:       %libgavl_devel

%description 
This OCaml library is an OCaml interface for Gmerlin Audio
Video Library, otherwise known as gavl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.1.5-6.mga6
+ Revision: 1056354
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.1.5-5.mga6
+ Revision: 963785
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 746969
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-3.mga5
+ Revision: 683037
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.5-2.mga4
+ Revision: 528194
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 malo <malo> 0.1.5-1.mga4
+ Revision: 443707
- update to 0.1.5

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-5.mga3
+ Revision: 361368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.4-4.mga3
+ Revision: 301704
- libgavl-devel name
- new rpm group for ocaml
- s/Ocaml/OCaml/
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.1.4-3.mga2
+ Revision: 210173
- missing requires
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.1.4-2.mga2
+ Revision: 151067
- Rebuild for new OCaml - thanks to Malo.

* Fri Sep 30 2011 shlomif <shlomif> 0.1.4-1.mga2
+ Revision: 150563
- imported package ocaml-gavl

